/* Table of constant values */

static int c__5 = 5;
static int c__3 = 3;

int main(void)
{
    /* Initialized data */
    static double a[15] /* was [5][3] */ = { 1.,2.,0.,1.,-1.,0.,1.,1.,
                                             2.,1.,1.,3.,1.,0.,0. };
    /* Local variables */
    extern int afp2d_c(double *, int *, int *, double *, int *);
    static int i__, l[3];
    static double v[5];

#define a_ref(a_1,a_2) a[(a_2)*5 + a_1 - 6]

    for (i__ = 1; i__ <= 5; ++i__) {
        printf("\n %12.4e %12.4e %12.4e \n",
           a_ref(i__, 1), a_ref(i__, 2), a_ref(i__, 3));
    }
    afp2d_c(a, &c__5, &c__3, v, l);

    for (i__ = 1; i__ <= 5; ++i__) {
        printf("\n %15.7e %15.7e %15.7e \n",
           a_ref(i__, 1), a_ref(i__, 2), a_ref(i__, 3));
    }
    printf("\n %15.7e %15.7e %15.7e \n",v[0], v[1], v[2]);
    printf("\n %5i %5i %5i \n", l[0], l[1], l[2]);
    return 0;
} /* main */

#undef a_ref
